Bug 1700338 - [RFE] Alternate method to configure the email Event Notifier for a user in RHV through API (instead of RHV GUI)
Summary: [RFE] Alternate method to configure the email Event Notifier for a user in RH...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Ori Liel
QA Contact: Guilherme Santos
URL:
Whiteboard:
: 1727376 (view as bug list)
Depends On:
Blocks: 1736852 1789090
TreeView+ depends on / blocked
 
Reported: 2019-04-16 10:46 UTC by Bhushan Ranpise
Modified: 2020-08-04 13:19 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement enables you to use the RHV Manager's REST API to manage subscriptions and receive notifications based on specific events. In previous versions, you could do this only in the Administration Portal.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:17:36 UTC
oVirt Team: Infra
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:18 UTC
oVirt gerrit 101093 0 'None' MERGED Introduce API for Event-Notifications 2020-10-14 09:16:50 UTC
oVirt gerrit 101094 0 'None' MERGED Support Event-Notifier API 2020-10-14 09:16:50 UTC

Comment 8 Martin Perina 2019-08-15 08:05:59 UTC
*** Bug 1727376 has been marked as a duplicate of this bug. ***

Comment 11 RHV bug bot 2019-12-13 13:16:24 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 RHV bug bot 2019-12-20 17:45:54 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2020-01-08 14:49:45 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2020-01-08 15:18:20 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2020-01-24 19:51:35 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 Guilherme Santos 2020-03-23 18:47:00 UTC
Verified on:
ovirt-engine-4.4.0-0.25.master.el8ev.noarch

Steps:
1. # curl -X POST -H "Content-Type: application/xml" -u admin@internal:<password> --insecure https://<engine-fqdn>/ovirt-engine/api/v4/users/<user-id>/eventsubscriptions -d
'<event_subscription>
  <event>vm_paused</event>
  <address>user@domain.com</address>
</event_subscription>'

2. # curl -X GET -H "Content-Type: application/xml" -u admin@internal:<password> --insecure https://<engine-fqdn>/ovirt-engine/api/v4/users/<user-id>/eventsubscriptions

3. Logged in the engine UI and checked the events notifier for the target user ('Administration' -> 'Users'; select the target user on 'User Name' and then select 'Events Notifier' tab)

Results:
Event notifier 'VM has been paused' created for the target user and showing through the API as well as through the engine UI

Comment 26 errata-xmlrpc 2020-08-04 13:17:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.